org.apache.tapestry5.upload.internal.services

## Class ParametersServletRequestWrapper

- java.lang.Object
- - javax.servlet.ServletRequestWrapper
  - - javax.servlet.http.HttpServletRequestWrapper
    - - org.apache.tapestry5.upload.internal.services.ParametersServletRequestWrapper

- All Implemented Interfaces:
    HttpServletRequest, ServletRequest

      public class ParametersServletRequestWrapper
      extends HttpServletRequestWrapper

  Wrapper for HttpServletRequest that overrides the parameter methods of the wrapped request. i.e. parameters are retrieved from the wrapper rather than the real request.

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParametersServletRequestWrapper(HttpServletRequest httpServletRequest)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(String name, String value)`
    `String` | `getParameter(String name)`
    `Map<String,Object>` | `getParameterMap()`
    `Enumeration` | `getParameterNames()`
    `String[]` | `getParameterValues(String name)`
    `void` | `setCharacterEncoding(String enc)` Ignores any attempt to set the character encoding, as it already has been set before the request content was parsed.

    - ### Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

      `getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

    - ### Methods inherited from class javax.servlet.ServletRequestWrapper

      `getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute`

- - ### Constructor Detail

    - #### ParametersServletRequestWrapper

          public ParametersServletRequestWrapper(HttpServletRequest httpServletRequest)

  - ### Method Detail

    - #### getParameter

          public String getParameter(String name)

      Specified by:
        `getParameter` in interface `ServletRequest`
      Overrides:
        `getParameter` in class `ServletRequestWrapper`

    - #### getParameterMap

          public Map<String,Object> getParameterMap()

      Specified by:
        `getParameterMap` in interface `ServletRequest`
      Overrides:
        `getParameterMap` in class `ServletRequestWrapper`

    - #### getParameterNames

          public Enumeration getParameterNames()

      Specified by:
        `getParameterNames` in interface `ServletRequest`
      Overrides:
        `getParameterNames` in class `ServletRequestWrapper`

    - #### getParameterValues

          public String[] getParameterValues(String name)

      Specified by:
        `getParameterValues` in interface `ServletRequest`
      Overrides:
        `getParameterValues` in class `ServletRequestWrapper`

    - #### addParameter

          public void addParameter(String name,
                                   String value)

    - #### setCharacterEncoding

          public void setCharacterEncoding(String enc)
                                    throws UnsupportedEncodingException

      Ignores any attempt to set the character encoding, as it already has been set before the request content was parsed.
      Specified by:
        `setCharacterEncoding` in interface `ServletRequest`
      Overrides:
        `setCharacterEncoding` in class `ServletRequestWrapper`
      Throws:
        `UnsupportedEncodingException`
      See Also:
        `SymbolConstants.CHARSET`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.